[Git][debian-gis-team/osmpbf][master] Add autopkgtest for C++ library.

Bas Couwenberg (@sebastic) gitlab at salsa.debian.org
Sun Jul 26 19:43:41 BST 2026



Bas Couwenberg pushed to branch master at Debian GIS Project / osmpbf


Commits:
e09dbebe by Bas Couwenberg at 2026-07-26T20:43:19+02:00
Add autopkgtest for C++ library.

- - - - -


3 changed files:

- debian/changelog
- debian/tests/control
- + debian/tests/cpp


Changes:

=====================================
debian/changelog
=====================================
@@ -1,3 +1,9 @@
+osmpbf (1.7.0-2) UNRELEASED; urgency=medium
+
+  * Add autopkgtest for C++ library.
+
+ -- Bas Couwenberg <sebastic at debian.org>  Sun, 26 Jul 2026 20:42:53 +0200
+
 osmpbf (1.7.0-1) unstable; urgency=medium
 
   * New upstream release.


=====================================
debian/tests/control
=====================================
@@ -4,3 +4,9 @@ Depends: ca-certificates,
          libosmpbf-java,
          wget
 Restrictions: needs-internet
+
+Tests: cpp
+Depends: ca-certificates,
+         libosmpbf-dev,
+         wget
+Restrictions: needs-internet


=====================================
debian/tests/cpp
=====================================
@@ -0,0 +1,64 @@
+#!/bin/bash
+
+SOURCE_DIR="$(realpath "$(dirname "$0")/../../demo")"
+
+DATASET_URL="https://download.geofabrik.de/europe/monaco-latest.osm.pbf"
+DATASET_FILE="monaco-latest.osm.pbf"
+
+TEMPDIR="$(mktemp -d)"
+
+cd "${TEMPDIR}" || exit 1
+
+CMD=("wget" "-q" "${DATASET_URL}" "-O" "${DATASET_FILE}")
+
+echo "Downloading dataset: ${CMD[@]}"
+${CMD[@]}
+RC=$?
+
+if [ "${RC}" -ne 0 ]; then
+    cd "${OLDPWD}" || exit 1
+    rm -rf "${TEMPDIR}"
+
+    exit "${RC}"
+fi
+
+echo
+
+CMD=("cp" "-rv" "${SOURCE_DIR}"/*.cpp .)
+
+echo "Copying C++ sources: ${CMD[@]}"
+${CMD[@]}
+RC=$?
+
+if [ "${RC}" -ne 0 ]; then
+    cd "${OLDPWD}" || exit 1
+    rm -rf "${TEMPDIR}"
+
+    exit "${RC}"
+fi
+
+echo
+
+CMD=("g++" "-Wall" "-o" "osmpbf-outline" "osmpbf-outline.cpp" "-losmpbf" "-lprotobuf" "-lz")
+
+echo "Compiling C++ sources: ${CMD[@]}"
+${CMD[@]}
+RC=$?
+
+if [ "${RC}" -ne 0 ]; then
+    cd "${OLDPWD}" || exit 1
+    rm -rf "${TEMPDIR}"
+
+    exit "${RC}"
+fi
+
+CMD=("./osmpbf-outline" "--color" "${DATASET_FILE}")
+
+echo "Executing: ${CMD[@]}"
+${CMD[@]}
+RC=$?
+
+cd "${OLDPWD}" || exit 1
+rm -rf "${TEMPDIR}"
+
+exit "${RC}"



View it on GitLab: https://salsa.debian.org/debian-gis-team/osmpbf/-/commit/e09dbebea4399d0b86cdbf0f8fff40d4b12b1ba4

-- 
View it on GitLab: https://salsa.debian.org/debian-gis-team/osmpbf/-/commit/e09dbebea4399d0b86cdbf0f8fff40d4b12b1ba4
You're receiving this email because of your account on salsa.debian.org. Manage all notifications: https://salsa.debian.org/-/profile/notifications | Help: https://salsa.debian.org/help


-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/pkg-grass-devel/attachments/20260726/deb2441b/attachment-0001.htm>


More information about the Pkg-grass-devel mailing list